function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import { assert } from "./asserts.js";
export function prepareConfig(args) {
  var configs = Array.isArray(args) ? args : [args];
  return configs.map(options => {
    if (typeof options === 'string') {
      return {
        name: options
      };
    }

    var {
      name,
      indexFile
    } = options,
        unknownOptions = _objectWithoutProperties(options, ["name", "indexFile"]);

    assert(typeof name === 'string', '{ name } expected to be a string');
    assert(!!name, '{ name } is empty');

    if (indexFile != null) {
      assert(typeof indexFile === 'string', '{ indexFile } expected to be a string');
      assert(!!indexFile, '{ indexFile } is empty');
    }

    if (indexFile != null && indexFile !== name) {
      var [nameID] = name.split('/');
      var [indexFileID] = indexFile.split('/');
      assert(nameID === indexFileID, "index file '%s' must belong to '%s' package", indexFile, name);
    }

    var unknownOptionsKeys = Object.keys(unknownOptions);
    assert(unknownOptionsKeys.length === 0, 'contains unknown keys { %s }', unknownOptionsKeys.join(', '));
    return options;
  });
}